c Version 1.6 5/2/94  Microsoft Fortran 5.1
c----------------------------------------------------------------------
c                     =========================
c                         function DTIME
c                     =========================
c
c    Reports elapsed time since last call to dtime (returns 0 on
c    first call)
c
c    Uses Microsoft Fortran (ver. 5.1) library function gettim
c    A dummy argument is included for compatibility with UNIX
c    version of the EPRLL programs, which uses the system dtime call.
c
c----------------------------------------------------------------------
      function dtime(dummy)
      implicit none
      double precision dummy
      real dtime
c
      integer ihr,imin,isec,ihrd
      real time0,time
      common /timsav/ time0
c
c    Code between dotted lines for timing support
c................................................
      call gettim(ihr,imin,isec,ihrd)
      time=isec+60.0*(imin+60.0*ihr)+0.01*ihrd
      if (time0 .lt. 0.0) then
        dtime=0.0
      else
        if (time.lt.time0) time=time+86400.0
        dtime=time-time0
      end if
      time0=time
c................................................
c     Use the following statement if timing support
c     is not available:
c     dtime=0.0
c
      return
      end

      block data
      real time0
      common /timsav/ time0
      data time0 / -1.0 /
      end